##
## RNAspace: non-coding RNA annotation platform
## Copyright (C) 2009  CNRS, INRA, INRIA, Univ. Paris-Sud 11
## 
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

#from rnaspace.ui.web.view.predict.predict_helper import *

<input type="hidden" id="authkey" value="$authkey">

<form id="parameters_form" enctype="multipart/form-data"
      method="post"
      action="${mount_point}predict/parameters?authkey=$authkey">
      
    <div class="cbb_content">
      <table>	
	  #for $sopt in $predictor.simple_options
	   #if $sopt != '' 
	   <tr>	  
	    <td> $predictor.options_desc[$sopt]</td> 
	    <td>$get_option($predictor, $sopt, $updated)</td>
	
	    #if $sopt in $param_error
	    <td class="error">$param_error[$sopt]</td>
	    #else
	    <td class="error"></td>
	    #end if
	   </tr>
	   #end if
	  #end for

	  #for $lopt in $predictor.long_options
	   #if $lopt != ''	
	   <tr>
	    <td> $predictor.options_desc[$lopt]</td>
	    <td>$get_option($predictor, $lopt, $updated)</td>
	  
	    #if $lopt in $param_error	  
	    <td class="error">$param_error[$lopt]</td>
	    #else
	    <td class="error"></td>
	    #end if
	   </tr>
	   #end if
	  #end for
	  </table>
      
      <input type="hidden" name="type" value="$predictor.type" />
      <input type="hidden" name="softname" value="$predictor.name" />
      <input id="param_mode" type="hidden" name="mode" value="save" />
    </div>
  
  <br />
  
  <div style="float:right;">
      <input id="submit_param" class="button_bp" 
	     type="submit" name="submit_param" value="Save parameters" />
      <input id="cancel_param" class="button_bp" 
	     type="submit" name="cancel_param" value="Cancel" />
      <input id="default_param" class="button_bp" 
	     type="submit" name="default_param" value="Default Values" />
   </div>
   <div style="clear:right"> </div>
</form>
